summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erwin van Zanten2014-10-04 18:38:22 +0200
committer Willy Sudiarto Raharjo2014-10-04 18:38:45 +0200
commitd3929fccfb139f4d7c5fe6d0c73ef376d22a11f2 (patch)
tree62b20fba6fc22e3855e9ee132894281aba909fba
parent579b34f9e01490daf22455f3ccc2525f8655a550 (diff)
downloadslackbuilds-d3929fccfb139f4d7c5fe6d0c73ef376d22a11f2.tar.gz
development/energia: Added (IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/energia/README23
-rw-r--r--development/energia/doinst.sh3
-rw-r--r--development/energia/energia.SlackBuild111
-rw-r--r--development/energia/energia.desktop9
-rw-r--r--development/energia/energia.info10
-rw-r--r--development/energia/energia.pngbin0 -> 46724 bytes
-rw-r--r--development/energia/slack-desc19
7 files changed, 175 insertions, 0 deletions
diff --git a/development/energia/README b/development/energia/README
new file mode 100644
index 0000000000..d2258d9015
--- /dev/null
+++ b/development/energia/README
@@ -0,0 +1,23 @@
+Energia is an open-source electronics prototyping platform started by Robert Wessels in
+January of 2012 with the goal to bring the Wiring and Arduino framework to the Texas
+Instruments MSP430 based LaunchPad.
+
+The Energia IDE is cross platform and supported on Mac OS, Windows, and Linux.
+Energia uses the mspgcc compiler by Peter Bigot and is based on the Wiring and Arduino framework.
+Energia includes an integrated development environment (IDE) that is based on Processing.
+
+The foundation of Energia and Arduino is the Wiring framework that is developed by Hernando Barragan.
+The framework is thoughtfully created with designers and artists in mind to encourage a community
+where both beginners and experts from around the world share ideas, knowledge and their collective experience.
+The Energia team adopts the philosophy of learning by doing and strives to make it easy to work directly with the hardware.
+Professional engineers, entrepreneurs, makers, and students can all benefit from the ease of use Energia brings to the microcontroller.
+
+Energia started out to bring the Wiring and Arduino framework to the Texas Instruments MSP430 LaunchPad.
+Texas Instruments offers a MSP430, TM4C, C2000, and CC3200 LaunchPad.
+The LaunchPad is a low-cost microcontroller board that is made by Texas Instruments.
+The latest release of Energia supports the majority of the LaunchPad product offerings.
+
+Together with Energia, LaunchPad can be used to develop interactive objects, taking inputs from a variety of
+switches or sensors, and controlling a variety of lights, motors, and other physical outputs.
+LaunchPad projects can be stand-alone (only run on the Target Board, i.e. your LaunchPad), or they can communicate
+with software running on your computer (Host PC).
diff --git a/development/energia/doinst.sh b/development/energia/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/energia/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/energia/energia.SlackBuild b/development/energia/energia.SlackBuild
new file mode 100644
index 0000000000..9496b70e76
--- /dev/null
+++ b/development/energia/energia.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for Energia
+
+# Copyright 2014 Erwin van Zanten, Dordrecht, The Netherlands, Europe
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=energia
+VERSION=${VERSION:-0101E0013}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+ SRCSUFFIX="-linux"
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ SRCSUFFIX="-linux"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ SRCSUFFIX="-linux64"
+else
+ echo "$ARCH architecture not supported"
+ exit 1
+fi
+
+SYSTEMFOLDER=${SYSTEMFOLDER:-/opt/$PRGNAM}
+SOURCENAME=$PRGNAM-$VERSION$SRCSUFFIX.tgz
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$SOURCENAME
+cd $PKG
+chown -R root:root $PKG $TMP/$PRGNAM-$VERSION
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Add a wrapper to run the energia ide from /usr/bin
+# Its going to change the working directory to $HOME, so when you import/export
+# into/from the ide $HOME is going to be the default directory, rather than
+# /usr/lib*/energia/
+mkdir -p $PKG/usr/bin
+cat << EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+if [ -n \${CPLUS_INCLUDE_PATH} ]; then
+ unset CPLUS_INCLUDE_PATH
+fi
+cd \$HOME
+if [ \$(echo \$PATH | grep java | wc -l) -lt 1 ]; then
+ export PATH=\$PATH:/usr/lib$LIBDIRSUFFIX/java/bin:/usr/lib$LIBDIRSUFFIX/java/jre/bin:/usr/lib$LIBDIRSUFFIX/java/bin;
+fi;
+$SYSTEMFOLDER/energia
+EOF
+chmod 0755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/$SYSTEMFOLDER
+cp -a ../$PRGNAM-$VERSION/* $PKG/$SYSTEMFOLDER/
+
+install -D -m 644 $CWD/energia.desktop $PKG/usr/share/applications/energia.desktop
+install -D -m 644 $CWD/energia.png $PKG/usr/share/pixmaps/energia.png
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../$PRGNAM-$VERSION/revisions.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/energia/energia.desktop b/development/energia/energia.desktop
new file mode 100644
index 0000000000..5963fc835e
--- /dev/null
+++ b/development/energia/energia.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Energia IDE
+GenericName=Energia IDE
+Comment=Energia IDE development
+Exec=energia
+Icon=energia
+Terminal=false
+Type=Application
+Categories=KDE;Qt;GNOME;GTK;Development;
diff --git a/development/energia/energia.info b/development/energia/energia.info
new file mode 100644
index 0000000000..7707f06c8d
--- /dev/null
+++ b/development/energia/energia.info
@@ -0,0 +1,10 @@
+PRGNAM="energia"
+VERSION="0101E0013"
+HOMEPAGE="http://energia.nu/"
+DOWNLOAD="http://energia.nu/downloads/downloadv3.php?file=energia-0101E0013-linux.tgz"
+MD5SUM="ce920c0d3ffa3a612a84dd6eee8aa659"
+DOWNLOAD_x86_64="http://energia.nu/downloads/downloadv3.php?file=energia-0101E0013-linux64.tgz"
+MD5SUM_x86_64="f257fde126b30e975bebd7772ee80b6e"
+REQUIRES="jdk"
+MAINTAINER="Erwin van Zanten"
+EMAIL="e.van.zanten.evz@gmail.com"
diff --git a/development/energia/energia.png b/development/energia/energia.png
new file mode 100644
index 0000000000..49442dfc3a
--- /dev/null
+++ b/development/energia/energia.png
Binary files differ
diff --git a/development/energia/slack-desc b/development/energia/slack-desc
new file mode 100644
index 0000000000..3b9642af27
--- /dev/null
+++ b/development/energia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+energia: Energia (IDE)
+energia:
+energia: Energia is an open-source electronics prototyping platform started
+energia: by Robert Wessels in January 2012 with the goal to bring the Wiring
+energia: and Arduino framework to the Texas Instruments MSP430 based LaunchPad
+energia: The Energia IDE is cross platform and supported on Mac OS, Windows,
+energia: and Linux. Energia uses mspgcc compiler by Peter Bigot and is based
+energia: on the Wiring and Arduino framework. Energia includes an integrated
+energia: development environment (IDE) that is based on Processing.
+energia:
+energia: Homepage: http://energia.nu/